#
# spec file for package rubygem-json
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-json
Version:        1.8.3
Release:        4.19
%define mod_name json
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://flori.github.com/json
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-json-rpmlintrc
Source2:        gem2rpm.yml
Summary:        JSON Implementation for Ruby
License:        Ruby
Group:          Development/Languages/Ruby

%description
This is a JSON implementation as a Ruby extension in C.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES COPYING README.rdoc" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Wed Jun  3 2015 coolo@suse.com
- updated to version 1.8.3
  see installed CHANGES
  2015-06-01 (1.8.3)
  * Fix potential memory leak, thx to nobu.
* Wed Feb  4 2015 coolo@suse.com
- rename rpmlintrc and add it as source
* Wed Feb  4 2015 hvogel@suse.com
- update to 1.8.2
  * Some performance improvements by Vipul A M <vipulnsward@gmail.com>.
  * Fix by Jason R. Clark <jclark@newrelic.com> to avoid mutation of
    JSON.dump_default_options.
  * More tests by Michael Mac-Vicar <mmacvicar@gmail.com> and fixing
    space_before accessor in generator.
  * Performance on Jruby improvemed by Ben Browning <bbrownin@redhat.com>.
  * Some fixes to be compatible with the new Ruby 2.2 by
    Zachary Scott <e@zzak.io> and SHIBATA Hiroshi <hsbt@ruby-lang.org>.
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme and add gem2rpm.yml
- disable documentation to disable a loop between rdoc and json
* Thu Feb  6 2014 coolo@suse.com
- use new macros
* Sun Oct 20 2013 coolo@suse.com
- updated to version 1.8.1
  * Remove Rubinius exception since transcoding should be working now.
* Mon May 13 2013 coolo@suse.com
- updated to version 1.8.0
  * Fix https://github.com/flori/json/issues/162 reported by Marc-Andre
    Lafortune <github_rocks@marc-andre.ca>. Thanks!
  * Applied patches by Yui NARUSE <naruse@airemix.jp> to suppress warning with
  - Wchar-subscripts and better validate UTF-8 strings.
  * Applied patch by ginriki@github to remove unnecessary if.
  * Add load/dump interface to JSON::GenericObject to make
    serialize :some_attribute, JSON::GenericObject
    work in Rails active models for convenient SomeModel#some_attribute.foo.bar
    access to serialised JSON data.
* Tue Feb 12 2013 coolo@suse.com
- updated to version 1.7.7
  * Security fix for JSON create_additions default value and
    JSON::GenericObject. It should not be possible to create additions unless
    explicitely requested by setting the create_additions argument to true or
    using the JSON.load/dump interface. If JSON::GenericObject is supposed to
    be automatically deserialised, this has to be explicitely enabled by
    setting
    JSON::GenericObject.json_createble = true
    as well.
  * Remove useless assert in fbuffer implementation.
  * Apply patch attached to https://github.com/flori/json/issues#issue/155
    provided by John Shahid <jvshahid@gmail.com>, Thx!
  * Add license information to rubygems spec data, reported by Jordi Massaguer Pla <jmassaguerpla@suse.de>.
  * Improve documentation, thx to Zachary Scott <zachary@zacharyscott.net>.
* Wed Jan  2 2013 coolo@suse.com
- updated to version 1.7.6
  * Add GeneratorState#merge alias for JRuby, fix state accessor methods. Thx to
  jvshahid@github.
  * Increase hash likeness of state objects.
* Sun Aug 26 2012 coolo@suse.com
- updated to version 1.7.5
  * Fix compilation of extension on older rubies.
* Sat Jul 28 2012 coolo@suse.com
- update to 1.7.4
  * Fix compilation problem on AIX, see https://github.com/flori/json/issues/142
* Fri Jul  6 2012 coolo@suse.com
- update to 1.7.3
  * Work around Rubinius encoding issues using iconv for conversion instead.
  * Fix some encoding issues, that cause problems for  the pure and the
    extension variant in jruby 1.9 mode.
* Tue May  8 2012 coolo@suse.com
- update to 1.7.1
  * Some small fixes for building
* Sun May  6 2012 coolo@suse.com
- update to 1.7.0
  * Add JSON::GenericObject for method access to objects transmitted via JSON.
  * Fix possible crash when trying to parse nil value.
* Tue Apr  3 2012 coolo@suse.com
- update to 1.6.6
  * Propagate src encoding to values made from it (fixes 1.9 mode converting
    everything to ascii-8bit; harmless for 1.8 mode too) (Thomas E. Enebo
    <tom.enebo@gmail.com>), should fix
    https://github.com/flori/json/issues#issue/119.
  * Fix https://github.com/flori/json/issues#issue/124 Thx to Jason Hutchens.
  * Fix https://github.com/flori/json/issues#issue/117
* Wed Feb 15 2012 saschpe@suse.de
- Update to version 1.6.5:
  * Fixed a bug that shows up when using optimisation under GCC 4.7.
- Changes from version 1.6.4:
  * Patches that improve speed on JRuby contributed
  * Support object_class/array_class with duck typed hash/array.
- Changes from version 1.6.3:
  * Let JSON.load('') return nil as well to make mysql text columns (default to
    '') work better for serialization.
- Changes from version 1.6.2:
  * Add support for OpenStruct and BigDecimal.
  * Fix bug when parsing nil in quirks_mode.
  * Make JSON.dump and JSON.load methods better cooperate with Rails' serialize
    method. Just use: serialize :value, JSON
  * Fix bug with time serialization concerning nanoseconds. Thanks for the
    patch go to Josh Partlow (jpartlow@github).
  * Improve parsing speed for JSON numbers (integers and floats)
* Wed Dec 14 2011 jreidinger@suse.com
- move benchmarks to doc
- create testsuite subpackage ( template doesn't detect it as it is
  tests not test as usual )
* Wed Nov 23 2011 darix@nordisch.org
- added versioned provides
* Mon Nov 21 2011 fcastelli@suse.com
- Fix build on SLE11SP1: add the fastjar dependency at build time
- Remove file duplicates at the end of the build
* Mon Nov 21 2011 fcastelli@suse.com
- Remove all the update=alternatives references from the spec file,
  they are no longer needed since the gem doesn't have entries
  inside of /bin
* Fri Oct 14 2011 fcastelli@suse.com
- Update to 1.6.1
  * Using -target 1.5 to force Java bits to compile with 1.5.
- additional changes from version 1.6.0
  * Extract utilities (prettifier and GUI-editor) in its own gem json-utils.
  * Split json/add/core into different files for classes to be serialised.
* Thu Aug 25 2011 dmacvicar@suse.de
- json gem does not provide json_pure in terms of rpm
  Provides. If a gem depends on json_pure, having the json
  gem installed will make gem not find it.
- use the update-alternatives system for the installed
  binaries to be able to install json_pure in parallel
* Wed Aug 24 2011 fcastelli@novell.com
- Update to version 1.5.4
  * Fix memory leak when used from multiple JRuby. (Patch by
    jfirebaugh@github).
- additional changes from version 1.5.3
  * Alias State#configure method as State#merge to increase duck type synonymy with Hash.
  * Add as_json methods in json/add/core, so rails can create its json objects
  the new way.
- additional changes from version 1.5.2
  * Apply documentation patch by Cory Monty <cory.monty@gmail.com>.
  * Add gemspecs for json and json_pure.
  * Fix bug in jruby pretty printing.
  * Fix bug in object_class and array_class when inheriting from Hash or Array.
- additional changes from version 1.5.1
  * Made rake-compiler build a fat binary gem. This should fix issue
    https://github.com/flori/json/issues#issue/54.
- additional changes from version 1.5.0
  * Included Java source codes for the Jruby extension made by Daniel Luz
    <dev@mernen.com>.
  * Output full exception message of deep_const_get to aid debugging.
  * Fixed an issue with ruby 1.9 Module#const_defined? method, that was
    reported by Riley Goodside.
- Add provides rubygem-json_pure since json_pure is just this gem under a
  different name.
* Tue Mar 29 2011 kkaempf@novell.com
- split off -doc subpackage
* Sun Nov 14 2010 mrueckert@suse.de
- update to version 1.4.6
  * Fixed oversight reported in
    http://github.com/flori/json/issues/closed#issue/23,
    always create a new object from the state prototype.
  * Made pure and ext api more similar again.
- additional changes from version 1.4.5
  * Manage data structure nesting depth in state object during
    generation. This should reduce problems with to_json method
    definіtions that only have one argument.
  * Some fixes in the state objects and additional tests.
- additional changes from version 1.4.4
  * Fixes build problem for rubinius under OS X,
    http://github.com/flori/json/issues/closed#issue/25
  * Fixes crashes described in
    http://github.com/flori/json/issues/closed#issue/21 and
    http://github.com/flori/json/issues/closed#issue/23
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 1.4.3
  * Fixed some test assertions, from Ruby r27587 and r27590, patch
    by nobu.
  * Fixed issue http://github.com/flori/json/issues/#issue/20
    reported by electronicwhisper@github. Thx!
- additional changes from version 1.4.2
  * Applied patch from naruse Yui NARUSE <naruse@airemix.com> to
    make building with Microsoft Visual C possible again.
  * Applied patch from devrandom <c1.github@niftybox.net> in order
    to allow building of json_pure if extensiontask is not present.
  * Thanks to Dustin Schneider <dustin@stocktwits.com>, who
    reported a memory leak, which is fixed in this release.
  * Applied 993f261ccb8f911d2ae57e9db48ec7acd0187283 patch from
    josh@github.
- additional changes from version 1.4.1
  * Fix for a bug reported by Dan DeLeo <dan@kallistec.com>, caused
    by T_FIXNUM being different on 32bit/64bit architectures.
- additional changes from version 1.4.0
  * Major speed improvements and building with simplified
    directory/file-structure.
  * Extension should at least be comapatible with MRI, YARV and
    Rubinius.
- additional changes from version 1.2.4
  * Triger const_missing callback to make Rails' dynamic class
    loading work.
- additional changes from version 1.2.3
  * Added a State#[] method which returns an attribute's value in
    order to increase duck type compatibility to Hash.
- additional changes from version 1.2.2
  * Made some changes to make the building of the parser/generator
    compatible to Rubinius.
- additional changes from version 1.2.1
  * Added :symbolize_names option to Parser, which returns symbols
    instead of strings in object names/keys.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- update to version 1.2.0
* Fri Jan 16 2009 mrueckert@suse.de
- update to version 1.1.3
* Fri May 25 2007 mrueckert@suse.de
- initial package
